Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.repository
Class ExecutionEnvironmentRepository

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
          kieker.tools.traceAnalysis.systemModel.repository.ExecutionEnvironmentRepository

    public class ExecutionEnvironmentRepository

extends AbstractSystemSubRepository

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static ExecutionContainer` | `ROOT_EXECUTION_CONTAINER` The root execution container.

Fields inherited from class kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
`ROOT_ELEMENT_ID`

Constructor Summary
`ExecutionEnvironmentRepository(SystemModelRepository systemFactory)` Creates a new instance of this class using the given parameters.

Method Summary
`ExecutionContainer` | `createAndRegisterExecutionContainer(String namedIdentifier, String name)` This method creates a new execution container and registers it as well.
`Collection<ExecutionContainer>` | `getExecutionContainers()` Delivers all available execution containers.
`ExecutionContainer` | `lookupExecutionContainerByContainerId(int containerId)` Returns the instance for the passed container ID; null if no instance with this ID.
`ExecutionContainer` | `lookupExecutionContainerByNamedIdentifier(String namedIdentifier)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_EXECUTION_CONTAINER

    public static final ExecutionContainer ROOT_EXECUTION_CONTAINER

  The root execution container.

Constructor Detail

### ExecutionEnvironmentRepository

    public ExecutionEnvironmentRepository(SystemModelRepository systemFactory)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `systemFactory` - The system factory.

Method Detail

### lookupExecutionContainerByNamedIdentifier

    public final ExecutionContainer lookupExecutionContainerByNamedIdentifier(String namedIdentifier)

  Parameters:
    `namedIdentifier` - The identifier to search for.
  Returns:
    The instance for the passed namedIdentifier; null if no instance with this namedIdentifier.

### lookupExecutionContainerByContainerId

    public final ExecutionContainer lookupExecutionContainerByContainerId(int containerId)

  Returns the instance for the passed container ID; null if no instance with this ID.

  Parameters:
    `containerId` - The ID to search for.
  Returns:
    The container for the given ID if it exists; null otherwise.

### createAndRegisterExecutionContainer

    public final ExecutionContainer createAndRegisterExecutionContainer(String namedIdentifier,
                                                                        String name)

  This method creates a new execution container and registers it as well.

  Parameters:
    `namedIdentifier` - The identifier of the new container.
    `name` - The name of the new container.
  Returns:
    The newly created execution container.

### getExecutionContainers

    public final Collection<ExecutionContainer> getExecutionContainers()

  Delivers all available execution containers.

  Returns:
    A collection containing the available containers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net